### Method

# GWeather Location deserialize

#### Declaration [src]

    GWeatherLocation*
    gweather_location_deserialize (
      GWeatherLocation* world,
      GVariant* serialized
    )

#### Description [src]

This call undoes the effect of gweather_location_serialize(), that is, it turns a `GVariant` into a `GWeatherLocation`. The conversion happens in the context of `world` (i.e, for a city or weather station, the resulting location will be attached to a administrative division, country and region as appropriate).

#### Parameters

`serialized` | `GVariant`
| The `GVariant` representing the `GWeatherLocation`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GWeatherLocation`
| The deserialized location.
| The caller of the method takes ownership of the data, and is responsible for freeing it.